Category:    

Customer: BOSCH Product Issue

Numbers:
Department: CC-DA/ESI Affected Products: ADTF 2.13.3

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: CalibrationTB::XCP

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage:

Ich benutze ADTF 2.13.3 mit der ADTF Calibration Toolbox 2.8.0

Ich möchte gern wissen welche XCP Versionen damit unterstützt werden und vor allem welche Versionen der a2l Datei, die in den

entsprechenden Filtern konfiguriert werden muss.

Aktuell haben wir Probleme mit den a2l Dateien, die unter den Vector Werkzeugen funktionieren, jedoch zusätzlich noch von Hand

angepasst werden müssen, damit sie mit den Filtern der Calibration Toolbox zusammenarbeiten.

Es wäre auch sehr hilfreich eine Übersicht zu haben, auf was man bei der a2l Datei achten muss, damit sie vom Filter geparst wird.

Lösung:

Siehe Kommentar #833-9

Related issues:

Is duplicate of Public Support - Support Request #1007: ADTFS-47445 Supported... Closed

History

#1 - 2017-07-04 16:43 - hidden

- Status changed from New to In Progress

- Topic set to CalibrationTB::XCP

#2 - 2017-07-10 14:36 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required

- Support Level changed from 2nd Level to 3rd Level

Hallo Thomas,

seitens XCP Protokoll ist die Version 1.2 umgesetzt.

Bzgl. der A2L Version können wir mit Dateien bis Version 1.6 umgehen, allerdings werden nicht alle Features unterstützt, bis 1.2 sind wir in etwa

Feature Complete, bis 1.6 zwar alle Elemente allerdings nicht alle Funktionen. Das soll in der Calib TB 3.x nachgeholt werden.

Eine genaue Übersicht haben wir derzeit dafür leider nicht, mir fehlt auch derzeit eine aktuelle Spec ggf. das ein oder andere Addon zu prüfen.

Genügt dir diese Aussage ?

#3 - 2017-07-10 16:35 - hidden

Hallo Florian,

vielen Dank das hilft mir erstmal weiter.

Ich würde mich jedoch über eine Liste freuen, in der stichpunktartig aufgeführt ist welche Features nicht unterstützt werden.

Bin ich richtig mit der Annahme, dass die Version Calib TB 3.x sich auf ADTF Version 3 bezieht ? (Also nur von ADTF Vers. 3 unterstützt wird.
Gruß Thomas

#4 - 2017-07-13 10:46 - hidden

Hallo Thomas,

aktueller Status, ich habe die neuen Spezifikationen und versuche nun anhand der neuen Features etwas diesbezüglich herauszufinden.

Da es keine Doku bei uns dazu gibt, ist das etwas "Archäologie", deshalb bitte ich dich um etwas Geduld und hoffe dir zumindest etwas weiterhelfen

zu können bald.

#6 - 2017-08-08 09:20 - hidden

- Is duplicate of Support Request #1007: ADTFS-47445 Supported a2l & XCP versions  added

#7 - 2017-08-08 09:20 - hidden

- Status changed from Customer Feedback Required to In Progress

#8 - 2017-08-09 09:06 - hidden

Martin, kannst du hier bitte mal "Archälogie" betreiben, ich komme einfach nicht dazu und bin jetzt dann im Urlaub.

Wichtig wäre zu wissen, was wir nun unterstützen und was wir noch implementieren müssen.

Die aktuellen Specs sind eingecheckt.

PS: Es gibt noch eine zweite Anfrage, gleiches Thema, siehe verlinkten Ticket.

#9 - 2017-08-10 11:59 - hidden

Hallo Thomas,

soweit ich jetzt alles nachvollzogen habe unterstützen wir Prinzipiell A2l Files in Version 1.6. Die Interface relevanten Einstellungen sind aber gar

nicht in diesem Standard definiert sondern in den entsprechenden XCP Spezifikationen (als AML). Hier ein Auszug aus XCP 1.3:

"XCPplus" struct {

  uint;

  taggedstruct Common_Parameters ;    /* default parameters */

  taggedstruct {                      /* transport layer specific parameters */

                                      /* overruling of the default parameters */

    (block "XCP_ON_CAN" struct {

      struct CAN_Parameters ;         /* specific for CAN */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_SxI" struct {

      struct SxI_Parameters ;         /* specific for SxI */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_TCP_IP" struct {

      struct TCP_IP_Parameters ;      /* specific for TCP_IP */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_UDP_IP" struct {
      struct UDP_IP_Parameters ;      /* specific for UDP */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_USB" struct {

      struct USB_Parameters ;         /* specific for USB */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

    (block "XCP_ON_FLX" struct {

      struct FLX_Parameters ;         /* specific for FlexRay */

      taggedstruct Common_Parameters; /* overruling of default */

      taggedstruct {

        "TRANSPORT_LAYER_INSTANCE" char[101];

      };

    })*;

  };

};

 Das Struct Common_Parameters beschreibt die XCP Parameter und auch die DAQ/STIM Einstellungen. Wie man sieht können diese Einstellungen

für jeden Transportlayer nochmal definiert werden. Die ADTF Calibration Toolbox parsed das zwar, ignoriert diese Abschnitte aber. Heißt es wird

immer nur das "globale" Common_Parameters Struct interpretiert und dessen Einstellungen für die Kommunikation verwendet.

Um das zu Ändern gibt es bereits ein Produktticket der Calibration Toolbox (ACALTB-405).

Weiter bekannte Einschränkungen gibt es im Moment nur für das Schreiben und Lesen von CHARACTERSITICS die aber in der Doku beschrieben

sind.

Grüße,

Martin

#10 - 2017-08-10 13:02 - hidden

- Status changed from In Progress to Customer Feedback Required

#11 - 2017-08-14 13:42 - hidden

Zeitraum für Feedback bis zum Freitag den 18.08.2017 verlängert.

#12 - 2017-08-17 16:06 - hidden

- Resolution set to Solved Issue

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACALTB-405

#13 - 2017-08-21 08:54 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

@Florian, Ticket kann geschlossen werden. Keine Rückmeldung vom Anwender.

Ticket #1007 mit gleichem Thema wurde bereits public gemacht.

#14 - 2017-09-04 10:45 - hidden

- Subject changed from Unterstützte XCP Version(en) und a2l Version(en) to Supported a2l & XCP versions

- Status changed from To Be Closed to Closed
#15 - 2018-01-25 11:50 - hidden

- Project changed from 5 to Public Support

- Private changed from Yes to No
